using System;
using System.Threading.Tasks;
using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Network.Abstract;

public interface INetworkManager
{
    Action<IGameObject>? OnNetworkGameObjectInstantiated { get; set; }

    INetworkCommunicator Communicator { get; }

    Task<T> Instantiate<T>(params object?[]? args) where T : class, IGameObject;
}
